Connection issues for generation 1 watches (Android Wear 1.5)

Please share:
I still have a Generation 1 watch (a Moto 360), which I regularly test my app with.
2020 November update

The end is near 🙁 You will see more and more apps go away, not because we, developers don’t want to support these older watches, but because we cannot, or not allowed to.

Google did not allow me to update my app in the Play Store, unless I removed the version targeting older Android. The problem is that Android Wear 1.5 is based on Android 23 which is getting very very old 🙁.

Technical background

If my app targets anything higher, it needs to prompt the user for permission to “display on top of other apps”. But Android Wear 1.5 does not include this prompt screen. This is the conflict: I have to ask for permission, but the permission screen is missing from Android Wear 1.5.

Possible workaround

You can still use Bubble Cloud on your older watch.

Now, the only way to install Bubble Cloud on these 6-7 year old watches is manual install. Please see the last section on this webpage (see below).

I keep providing updates outside of the Play Store

I promise to keep improving the app, and as before, I will continue to make an Android Wear 1.5 version available. Google does not let me publish it in their Play Store, but you will always find the latest version here, on my website.

Refund

If you purchased the app recently (within the past few months) I can understand that you did not sign up for these difficulties. Even though they are outside of my control, I offer you a full refund, just send me your order number. I cannot look up your order (Google doesn’t give us customer information, we can only search by order number [GPA.xxxx-xxxx-xxxx-xxxxx] you can find your order number in the email Google sends you after each of your purchases, you can search your mail box for my developer name “dyna logix”).

I am very sorry for the state of things. Google is hurting Android Wear / Wear OS users and developers alike. Let’s hope Google will realize the value of wearables and improve their service. Unfortunately they are known to have a pretty short attention span when it comes to services, 6 years of support for these generation 1 devices is actually not that bad.

Troubleshooting connectivity

Please see my post “Fixing Connection Problems” for general troubleshooting for connectivity issues.

The newest version Wear OS has trouble transferring the Android Wear component to the watch. Because of a 2018 November policy change, Google no longer allows me to publish the updates of Bubble Cloud which is targeted at older watches. Starting 2018. November 1 only the encapsulated version could be “smuggled” in, but it seems the newest version of Google’s Wear OS app doesn’t transfer it any more. The phone and watch components of Bubble Cloud have trouble communicating because your watch has a much older version (9.42) than your phone (9.8x or higher).  Version 9.8x for your watch is encapsulated inside the phone APK, but it no longer seems to be transferred to the watch by the new version of Google’s Wear OS app.
You can read more about the  background of this whole situation on my website: https://bubble.dynalogix.eu/2018/11/02/minor-update-v9427-ironing-out-the-kinks/
Unfortunately Google seems to force us, developers to abandon support of gen 1 watches :(((
Downgrade Android Wear app on phone

For the time being, we still might have one last workaround: on my test device (Moto 360 gen 1) I was still able to install the newest version by downgrading the Wear OS app on my phone to an older version, which still supports encapsulated Android Wear components. You will need to uninstall the current version and get the oldest version which can still be installed from APK Mirror (2.10 or 2.14?):

After downgrading WearOS you might need to install my app again. Sometimes a new update to my app can also trigger WearOS to transfer the encapsulated component. I publish a new Beta versions more frequently, if you don’t succeed with the production version, please join the beta test and soon a newer subversion will become available, which will hopefully install on your watch.

Keywords: Sony SW3, Smartwatch 3, Moto 360, ZenWatch, LG G Watch, G Watch R, Watch Urbane, Android Wear 1.5

Downgrade Play Services

This is what I saw on r/WearOS subreddit – removed, but I made a copy:

I love my SW3’s. Sturdy, square screens that can be seen day or night perfectly. However, when you’re on 1.5 and you reset the watch, the Google Play Services is so old, very few apps will synch across.

Many of the newer Wear apps wont budge as they require a certain version (10/11) to work. Wear OS app simply won’t send them.

There is hope!!

Grab Google Play Services for Wear OS from Apkmirror. Match a version as close to your phone’s version, or as close to being lower, but not higher, than phone version.
When you factory reset your watch, don’t immediately connect it to phone. Long press power on welcome-setup screen to get menu. Enable developer mode by tapping build version under About several times. Enable ADB debugging.

Connect your watch to a PC with ADB installed and setup. Sideload the Wear OS Google Play Services gotten earlier with the following command..

adb install -r GooglePlayforWearOS_v14.x.apk

Once done, leave for about 5 mins and reboot the watch. Now pair and synch with your phone and watch a LOT more apps go across. Nearly all.

System apps like Music and Fit won’t auto update. You can also sideload these (make sure the APK has a min target of lower than Nougat) using the same ADB command on those APKs.
Enjoy much more functionality until developers are forced to sunset 1.5. Which I hope isn’t soon. Love these things!

Enjoy!

Install watch component manually

If you are familiar with ADB commands, you can install the watch component manually. I will always post the newest APKs here (generated and uploaded automatically with each Play Store release):

Latest production release: Latest beta release: (make sure to have the beta version on your phone too!)

Here is an article on sideloading Android Wear apps:

In summary, here are the general steps to sideload the app to your watch:

  1. On a Windows PC, laptop or Mac download the free Minimal ADB and Fastboot tool from here. Install the software.
  2. Download the APK file using the buttons above (the file name will be wear1.apk or wear1beta.apk)
  3. Copy the APK file into the folder where ADB.EXE is installed (for example c:\androidSDK\platform-tools)
  4. Connect your watch via USB
  5. Open command prompt and using CD navigate to the folder where ADB.EXE is installed then issue the ADB command:
c:
cd \androidSDK\platform-tools
adb install wear1.apk

If you are successful, please use the comment section below (Disqus) to help others. Tell us which watch you own and if there were any other steps needed. Thank you!

Author: greg

the dev